Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class LocalEnvironment

    java.lang.Object
      org.modeshape.jcr.LocalEnvironment

All Implemented Interfaces:
  Environment

    public class LocalEnvironment

extends Object
implements Environment

Field Summary
`static Class<? extends org.infinispan.transaction.lookup.TransactionManagerLookup>` | `DEFAULT_TRANSACTION_MANAGER_LOOKUP_CLASS`

Constructor Summary
`LocalEnvironment()`
`LocalEnvironment(Class<? extends org.infinispan.transaction.lookup.TransactionManagerLookup> transactionManagerLookupClass)`

Method Summary
`protected org.infinispan.manager.CacheContainer` | `createContainer(org.infinispan.config.GlobalConfiguration globalConfiguration, org.infinispan.config.Configuration configuration)`
`protected org.infinispan.manager.CacheContainer` | `createContainer(String configFile)`
`protected org.infinispan.config.Configuration` | `createDefaultConfiguration()`
`protected org.infinispan.config.GlobalConfiguration` | `createGlobalConfiguration()`
`org.infinispan.manager.CacheContainer` | `getCacheContainer()`
`org.infinispan.manager.CacheContainer` | `getCacheContainer(String name)`
`org.jgroups.Channel` | `getChannel(String name)`
`ClassLoader` | `getClassLoader(ClassLoader fallbackLoader, String... classpathEntries)`
`protected Context` | `jndiContext()`
`void` | `shutdown()`
`protected void` | `shutdown(org.infinispan.manager.CacheContainer container)`
`protected Class<? extends org.infinispan.transaction.lookup.TransactionManagerLookup>` | `transactionManagerLookupClass()`
`protected org.infinispan.transaction.lookup.TransactionManagerLookup` | `transactionManagerLookupInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_TRANSACTION_MANAGER_LOOKUP_CLASS

    public static final Class<? extends org.infinispan.transaction.lookup.TransactionManagerLookup> DEFAULT_TRANSACTION_MANAGER_LOOKUP_CLASS

Constructor Detail

### LocalEnvironment

    public LocalEnvironment()

### LocalEnvironment

    public LocalEnvironment(Class<? extends org.infinispan.transaction.lookup.TransactionManagerLookup> transactionManagerLookupClass)

Method Detail

### getCacheContainer

    public org.infinispan.manager.CacheContainer getCacheContainer()
                                                            throws IOException,
                                                                   NamingException

  Throws:
    `IOException`
    `NamingException`

### getCacheContainer

    public org.infinispan.manager.CacheContainer getCacheContainer(String name)
                                                            throws IOException,
                                                                   NamingException

  Specified by:
    `getCacheContainer` in interface `Environment`
  Throws:
    `IOException`
    `NamingException`

### getChannel

    public org.jgroups.Channel getChannel(String name)

  Specified by:
    `getChannel` in interface `Environment`

### shutdown

    public void shutdown()

  Specified by:
    `shutdown` in interface `Environment`

### getClassLoader

    public ClassLoader getClassLoader(ClassLoader fallbackLoader,
                                      String... classpathEntries)

  Specified by:
    `getClassLoader` in interface `Environment`

### shutdown

    protected void shutdown(org.infinispan.manager.CacheContainer container)

### transactionManagerLookupClass

    protected Class<? extends org.infinispan.transaction.lookup.TransactionManagerLookup> transactionManagerLookupClass()

### transactionManagerLookupInstance

    protected org.infinispan.transaction.lookup.TransactionManagerLookup transactionManagerLookupInstance()

### createContainer

    protected org.infinispan.manager.CacheContainer createContainer(String configFile)
                                                             throws IOException,
                                                                    NamingException

  Throws:
    `IOException`
    `NamingException`

### createDefaultConfiguration

    protected org.infinispan.config.Configuration createDefaultConfiguration()

### createGlobalConfiguration

    protected org.infinispan.config.GlobalConfiguration createGlobalConfiguration()

### createContainer

    protected org.infinispan.manager.CacheContainer createContainer(org.infinispan.config.GlobalConfiguration globalConfiguration,
                                                                    org.infinispan.config.Configuration configuration)

### jndiContext

    protected Context jndiContext()
                           throws NamingException

  Throws:
    `NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.